function [event_save,Final_IT_array,Final_mean_I_array,Final_dt_array,Final_level_pts,BSL,BSR]=Single_Level_Truncated_Event_Construction(data,stdI0,PDL,PDR)

smooth_data=smoothdata(data,'gaussian',5);
ipt_sharp_event=findchangepts(smooth_data,'Statistic','mean','MaxNumChanges',2);

if length(ipt_sharp_event)==2 && ipt_sharp_event(end)+1<length(data)
    
    % Checking the quality of findchangept 
    leftmean=mean(data(1:PDL));
    rightmean=mean(data(end-PDR:end));
    leftmean_fit=mean(data(1:ipt_sharp_event(1)));
    rightmean_fit=mean(data(end-ipt_sharp_event(end):end));
    
    if abs(leftmean-leftmean_fit)>3*stdI0 || abs(rightmean-rightmean_fit)>3*stdI0
        change_pts=3;
        change_pt_max=10;
        while abs(leftmean-leftmean_fit)<3*stdI0 && abs(rightmean-rightmean_fit)<3*stdI0 && change_pts<=change_pt_max %change_pt_max to prevent overflow
            ipt_sharp_event=findchangepts(smooth_data,'Statistic','mean','MaxNumChanges',change_pts);
            change_pts=change_pts+1;
            leftmean_fit=mean(data(1:ipt_sharp_event(1)));
            rightmean_fit=mean(data(end-ipt_sharp_event(end):end));
        end
        
        if change_pts==change_pt_max %while loop ended becuase it satisfied the change_pt_max; so we reject these
            ipt_sharp_event=0;
        else
            ipt_sharp_event=[ipt_sharp_event(1);ipt_sharp_event(end)];
        end
    end
    %Quality check end
    
end

if length(ipt_sharp_event)==2 && ipt_sharp_event(end)+1<length(data)
    
    BSL_data=data(1:ipt_sharp_event(1));
    BSL=mean(BSL_data);
    BSR_data=data(ipt_sharp_event(end):end);
    BSR=mean(BSR_data);
    event_data=data(ipt_sharp_event(1):ipt_sharp_event(end));
    event_val_prel=weighted_mean(event_data);
    event_val=weighted_mean(event_data(event_data<event_val_prel));
    
    %IT construction
    BSL_I=repmat(BSL,length(BSL_data)-1,1);
    event_I=repmat(event_val,length(event_data),1);
    BSR_I=repmat(BSR,length(BSR_data)-1,1);
    time_data=(1:length(data))';
    event_I=[BSL_I;event_I;BSR_I];
    
    Final_IT_array=[time_data event_I];
    Final_mean_I_array=event_val;
    Final_dt_array=length(event_data)-1;
    Final_level_pts=ipt_sharp_event;
    event_save=1;
    
else
    Final_IT_array=[];
    Final_mean_I_array=[];
    Final_dt_array=[];
    Final_level_pts=[];
    event_save=0;
    BSL=0;
    BSR=0;
end

end